﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace SpreadWebComboTest
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if(!IsPostBack)
            {
                System.Data.DataSet ds = new System.Data.DataSet();
                System.Data.DataTable name;
                System.Data.DataTable city;
                name = ds.Tables.Add("Customers");
                name.Columns.AddRange(new System.Data.DataColumn[] { new System.Data.DataColumn("LastName", typeof(string)), new System.Data.DataColumn("FirstName", typeof(string)), new System.Data.DataColumn("ID", typeof(Int32)) });
                name.Rows.Add(new object[] { "Fielding", "William", 0 });
                name.Rows.Add(new object[] { "Williams", "Arthur", 1 });
                name.Rows.Add(new object[] { "Zuchini", "Theodore", 2 });
                city = ds.Tables.Add("City/State");
                city.Columns.AddRange(new System.Data.DataColumn[] { new System.Data.DataColumn("City", typeof(string)), new System.Data.DataColumn("Owner", typeof(Int32)), new System.Data.DataColumn("State", typeof(string)) });
                city.Rows.Add(new object[] { "Atlanta", 0, "Georgia" });
                city.Rows.Add(new object[] { "Boston", 1, "Mass." });
                city.Rows.Add(new object[] { "Tampa", 2, "Fla." });

                FarPoint.Web.Spread.ComboBoxCellType c = new FarPoint.Web.Spread.ComboBoxCellType();
                System.Data.DataTable dt;
                System.Collections.ArrayList al = new System.Collections.ArrayList(ds.Tables[0].Rows.Count);

                dt = ds.Tables[0];
                for (int i = 0; i < (dt.Rows.Count - 1); i++)
                {
                    al.Add(dt.Rows[i][0]);
                }
                string[] s = null;
                s = (string[])al.ToArray(typeof(string));
                c.Items = s;
                c.ShowButton = true;
                FpSpread1.Sheets[0].Cells[1, 1].CellType = c;


            }
        }
    }
}